#include <pls/internal/base/thread.h>
#include <pls/internal/helpers/prohibit_new.h>

using namespace pls::internal::base;

int global = 0;

int main() {
  // Try to use every feature, to trigger the prohibited use of new if found somewhere
  auto t1 = start_thread([]() {});
  t1.join();
}
